<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.school.health.mapper.EduScoreRankMapper">

    <select id="findRankByScore" resultType="com.yida.data.common.core.entity.health.EduScoreRank">
    select
    *
    from edu_health_score_rank
    where del_flag=0 and threshold &lt;=#{score,jdbcType=DECIMAL} order by threshold desc limit 0,1
    </select>
</mapper>
